Subject: Re: bug#36155: 26.2.50; crash on printing thread with print-circle = t

From: Juanma Barranquero <[email-masked]>
Date: Mon, 10 Jun 2019 04:28:09 +0200

On Mon, Jun 10, 2019 at 2:45 AM Paul Eggert <[email-masked]> wrote:

> Yes, I was using the emacs-26 branch too. However, I'm not using
> -DGC_MCHECK as it does not work at all on Fedora; I don't know why and I
> have no plans to look into it as GC_MCHECK is an obsolete hack

I have removed that -D from my setup, though I haven't been able to
find anything stating that GC_MCHECK is obsolete.

> (people should be using gcc -fsanitize=address in the master branch).

Address Sanitizer is not supported on Mingw64, AFAICS.

> So, Isuggest that you stop using -DGC_MCHECK on MS-Windows and see
> whether that fixes your problem.

No, it doesn't. Even without -DGC_MCHECK=1, the above recipe still
crashes Emacs.